Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81026 - vorbis.m4 compile test core dump
Summary: vorbis.m4 compile test core dump
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vorbis
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: http://ofset.sf.net/gcompris
Whiteboard:
: 83214 (view as bug list)
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-03 16:10 UTC by Bruno Coudoin
Modified: 2014-03-17 02:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-21 14:53:18 UTC


Attachments (Terms of Use)

Description Bruno Coudoin 2003-01-03 16:10:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
The C code in /usr/share/aclocal/vorbis.m4 has an error. When compiling it
through the configure process, it segfaults.

By replacing:
 vorbis_encode_init (&vi, 2, 44100, -1, 128, -1);
By :
  vorbis_encode_init (&vi, 2, 44100, -1, 128000, -1);

The correct value has been found (128000) in an example  (encoder_example.c )
given with the sources of libvorbis.

As an example, you can check out gcompris and start autogen.sh and you will see
the core in the configure.

Bruno.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.you can check out gcompris http://ofset.sf.net/gcompris
2.sh autogen.sh
3.see the core in the configure
    

Actual Results:  vorbis libs are not correctly detected and passed to the
compile process

Expected Results:  good vorbis libs in my makefile

Additional info:

Comment 1 Elliot Lee 2003-02-21 14:53:18 UTC
Fixed in libvorbis-1.0-6

Comment 2 Elliot Lee 2003-02-21 14:59:30 UTC
*** Bug 83214 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.